LDD(1)

NAME
ldd - list dynamic dependencies

SYNOPSIS
ldd filename ...

DESCRIPTION
For each filename , ldd lists the dynamically loaded objects on which that filename depends, if any. If the dynamic dependency is a ``library'' (a so-called ``shared library''), then both the canonical form of the library name and version and the actual pathname used to access the library are listed. For example, if a given filename uses a shared C library version 4, which has the name /usr/lib/libc.so.4.9 (where 9 is the most recent revision to interface version number 4) then ldd filename will report:

filename:
	-lc.4 => /usr/lib/libc.so.4.9

For each filename which is not an executable program, or else does not require any dynamic objects for its execution, ldd will issue an appropriate diagnostic.

It should be noted that although all dynamically linked programs depend on the file /usr/lib/ld.so , ldd will never report this dependency.

SEE ALSO
ld(1)